Index: trunk/source/processes/hadronic/models/rpg/src/G4RPGAntiOmegaMinusInelastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/rpg/src/G4RPGAntiOmegaMinusInelastic.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/rpg/src/G4RPGAntiOmegaMinusInelastic.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4RPGAntiOmegaMinusInelastic.cc,v 1.1 2007/07/18 21:04:20 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/hadronic/models/rpg/src/G4RPGAntiProtonInelastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/rpg/src/G4RPGAntiProtonInelastic.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/rpg/src/G4RPGAntiProtonInelastic.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4RPGAntiProtonInelastic.cc,v 1.1 2007/07/18 21:04:20 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
  
Index: trunk/source/processes/hadronic/models/rpg/src/G4RPGAntiSigmaMinusInelastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/rpg/src/G4RPGAntiSigmaMinusInelastic.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/rpg/src/G4RPGAntiSigmaMinusInelastic.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4RPGAntiSigmaMinusInelastic.cc,v 1.1 2007/07/18 21:04:20 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
  
Index: trunk/source/processes/hadronic/models/rpg/src/G4RPGAntiSigmaPlusInelastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/rpg/src/G4RPGAntiSigmaPlusInelastic.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/rpg/src/G4RPGAntiSigmaPlusInelastic.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4RPGAntiSigmaPlusInelastic.cc,v 1.1 2007/07/18 21:04:20 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
  
Index: trunk/source/processes/hadronic/models/rpg/src/G4RPGAntiXiMinusInelastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/rpg/src/G4RPGAntiXiMinusInelastic.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/rpg/src/G4RPGAntiXiMinusInelastic.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4RPGAntiXiMinusInelastic.cc,v 1.1 2007/07/18 21:04:20 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/hadronic/models/rpg/src/G4RPGAntiXiZeroInelastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/rpg/src/G4RPGAntiXiZeroInelastic.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/rpg/src/G4RPGAntiXiZeroInelastic.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4RPGAntiXiZeroInelastic.cc,v 1.1 2007/07/18 21:04:20 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/hadronic/models/rpg/src/G4RPGFragmentation.cc
===================================================================
--- trunk/source/processes/hadronic/models/rpg/src/G4RPGFragmentation.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/rpg/src/G4RPGFragmentation.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4RPGFragmentation.cc,v 1.6 2008/06/09 18:13:16 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
  
Index: trunk/source/processes/hadronic/models/rpg/src/G4RPGInelastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/rpg/src/G4RPGInelastic.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/rpg/src/G4RPGInelastic.cc	(revision 1228)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4RPGInelastic.cc,v 1.7 2009/05/25 19:07:15 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// $Id: G4RPGInelastic.cc,v 1.8 2009/11/20 16:39:38 dennis Exp $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
@@ -57,4 +57,9 @@
   particleDef[16] = G4AntiProton::AntiProton();
   particleDef[17] = G4AntiNeutron::AntiNeutron();
+
+  G4cout << " **************************************************** " << G4endl; 
+  G4cout << " * The RPG model is currently under development and * " << G4endl; 
+  G4cout << " * should not be used.                              * " << G4endl; 
+  G4cout << " **************************************************** " << G4endl; 
 }
 
Index: trunk/source/processes/hadronic/models/rpg/src/G4RPGKMinusInelastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/rpg/src/G4RPGKMinusInelastic.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/rpg/src/G4RPGKMinusInelastic.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4RPGKMinusInelastic.cc,v 1.1 2007/07/18 21:04:20 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
  
Index: trunk/source/processes/hadronic/models/rpg/src/G4RPGKPlusInelastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/rpg/src/G4RPGKPlusInelastic.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/rpg/src/G4RPGKPlusInelastic.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4RPGKPlusInelastic.cc,v 1.1 2007/07/18 21:04:20 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
  
Index: trunk/source/processes/hadronic/models/rpg/src/G4RPGKZeroInelastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/rpg/src/G4RPGKZeroInelastic.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/rpg/src/G4RPGKZeroInelastic.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4RPGKZeroInelastic.cc,v 1.1 2007/07/18 21:04:20 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
  
Index: trunk/source/processes/hadronic/models/rpg/src/G4RPGLambdaInelastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/rpg/src/G4RPGLambdaInelastic.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/rpg/src/G4RPGLambdaInelastic.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4RPGLambdaInelastic.cc,v 1.1 2007/07/18 21:04:20 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
  
Index: trunk/source/processes/hadronic/models/rpg/src/G4RPGNeutronInelastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/rpg/src/G4RPGNeutronInelastic.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/rpg/src/G4RPGNeutronInelastic.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4RPGNeutronInelastic.cc,v 1.4 2008/05/05 21:21:55 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
  
Index: trunk/source/processes/hadronic/models/rpg/src/G4RPGNucleonInelastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/rpg/src/G4RPGNucleonInelastic.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/rpg/src/G4RPGNucleonInelastic.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4RPGNucleonInelastic.cc,v 1.2 2009/05/25 19:06:03 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
  
Index: trunk/source/processes/hadronic/models/rpg/src/G4RPGOmegaMinusInelastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/rpg/src/G4RPGOmegaMinusInelastic.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/rpg/src/G4RPGOmegaMinusInelastic.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4RPGOmegaMinusInelastic.cc,v 1.1 2007/07/18 21:04:20 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
  
Index: trunk/source/processes/hadronic/models/rpg/src/G4RPGPiMinusInelastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/rpg/src/G4RPGPiMinusInelastic.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/rpg/src/G4RPGPiMinusInelastic.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4RPGPiMinusInelastic.cc,v 1.4 2008/05/05 21:21:55 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
  
Index: trunk/source/processes/hadronic/models/rpg/src/G4RPGPiPlusInelastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/rpg/src/G4RPGPiPlusInelastic.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/rpg/src/G4RPGPiPlusInelastic.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4RPGPiPlusInelastic.cc,v 1.4 2008/05/05 21:21:55 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
  
Index: trunk/source/processes/hadronic/models/rpg/src/G4RPGPionInelastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/rpg/src/G4RPGPionInelastic.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/rpg/src/G4RPGPionInelastic.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4RPGPionInelastic.cc,v 1.2 2009/05/25 19:05:47 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
  
Index: trunk/source/processes/hadronic/models/rpg/src/G4RPGPionSuppression.cc
===================================================================
--- trunk/source/processes/hadronic/models/rpg/src/G4RPGPionSuppression.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/rpg/src/G4RPGPionSuppression.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4RPGPionSuppression.cc,v 1.1 2007/07/18 21:04:20 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
  
Index: trunk/source/processes/hadronic/models/rpg/src/G4RPGProtonInelastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/rpg/src/G4RPGProtonInelastic.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/rpg/src/G4RPGProtonInelastic.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4RPGProtonInelastic.cc,v 1.4 2008/05/05 21:21:55 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
  
Index: trunk/source/processes/hadronic/models/rpg/src/G4RPGReaction.cc
===================================================================
--- trunk/source/processes/hadronic/models/rpg/src/G4RPGReaction.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/rpg/src/G4RPGReaction.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4RPGReaction.cc,v 1.4 2008/05/05 21:21:55 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/processes/hadronic/models/rpg/src/G4RPGSigmaMinusInelastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/rpg/src/G4RPGSigmaMinusInelastic.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/rpg/src/G4RPGSigmaMinusInelastic.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4RPGSigmaMinusInelastic.cc,v 1.1 2007/07/18 21:04:21 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
  
Index: trunk/source/processes/hadronic/models/rpg/src/G4RPGSigmaPlusInelastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/rpg/src/G4RPGSigmaPlusInelastic.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/rpg/src/G4RPGSigmaPlusInelastic.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4RPGSigmaPlusInelastic.cc,v 1.1 2007/07/18 21:04:21 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
  
Index: trunk/source/processes/hadronic/models/rpg/src/G4RPGStrangeProduction.cc
===================================================================
--- trunk/source/processes/hadronic/models/rpg/src/G4RPGStrangeProduction.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/rpg/src/G4RPGStrangeProduction.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4RPGStrangeProduction.cc,v 1.1 2007/07/18 21:04:21 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
  
Index: trunk/source/processes/hadronic/models/rpg/src/G4RPGTwoBody.cc
===================================================================
--- trunk/source/processes/hadronic/models/rpg/src/G4RPGTwoBody.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/rpg/src/G4RPGTwoBody.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4RPGTwoBody.cc,v 1.4 2008/05/05 21:21:55 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/processes/hadronic/models/rpg/src/G4RPGTwoCluster.cc
===================================================================
--- trunk/source/processes/hadronic/models/rpg/src/G4RPGTwoCluster.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/rpg/src/G4RPGTwoCluster.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4RPGTwoCluster.cc,v 1.5 2008/06/09 18:13:35 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/processes/hadronic/models/rpg/src/G4RPGXiMinusInelastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/rpg/src/G4RPGXiMinusInelastic.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/rpg/src/G4RPGXiMinusInelastic.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4RPGXiMinusInelastic.cc,v 1.1 2007/07/18 21:04:21 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
  
Index: trunk/source/processes/hadronic/models/theo_high_energy/include/G4ProjectileDiffractiveChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/theo_high_energy/include/G4ProjectileDiffractiveChannel.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/theo_high_energy/include/G4ProjectileDiffractiveChannel.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ProjectileDiffractiveChannel.hh,v 1.1 2007/11/13 16:01:36 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/processes/hadronic/models/theo_high_energy/include/G4QuasiElasticChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/theo_high_energy/include/G4QuasiElasticChannel.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/theo_high_energy/include/G4QuasiElasticChannel.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QuasiElasticChannel.hh,v 1.2 2008/04/08 15:41:26 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/processes/hadronic/models/theo_high_energy/include/G4TheoFSGenerator.hh
===================================================================
--- trunk/source/processes/hadronic/models/theo_high_energy/include/G4TheoFSGenerator.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/theo_high_energy/include/G4TheoFSGenerator.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4TheoFSGenerator.hh,v 1.6 2007/11/13 16:01:36 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/processes/hadronic/models/theo_high_energy/src/G4ProjectileDiffractiveChannel.cc
===================================================================
--- trunk/source/processes/hadronic/models/theo_high_energy/src/G4ProjectileDiffractiveChannel.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/theo_high_energy/src/G4ProjectileDiffractiveChannel.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ProjectileDiffractiveChannel.cc,v 1.2 2007/11/15 16:07:42 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/processes/hadronic/models/theo_high_energy/src/G4QuasiElasticChannel.cc
===================================================================
--- trunk/source/processes/hadronic/models/theo_high_energy/src/G4QuasiElasticChannel.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/theo_high_energy/src/G4QuasiElasticChannel.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QuasiElasticChannel.cc,v 1.7 2009/04/09 08:28:42 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/processes/hadronic/models/theo_high_energy/src/G4TheoFSGenerator.cc
===================================================================
--- trunk/source/processes/hadronic/models/theo_high_energy/src/G4TheoFSGenerator.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/theo_high_energy/src/G4TheoFSGenerator.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4TheoFSGenerator.cc,v 1.11 2009/04/09 08:28:42 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // G4TheoFSGenerator
Index: trunk/source/processes/hadronic/models/util/History
===================================================================
--- trunk/source/processes/hadronic/models/util/History	(revision 1227)
+++ trunk/source/processes/hadronic/models/util/History	(revision 1228)
@@ -15,5 +15,20 @@
      ---------------------------------------------------------------
 
+10 December 2009 Gunter Folger     hadr-mod-util-V09-02-07
+- G4NuclearFermiDensity.hh: chnage value of prtection in GetDeriv() to lower
+    value
+    
+09 December 2009 Gunter Folger     hadr-mod-util-V09-02-06
+--------------------------------------------------------
+- G4NuclearFermiDensity.hh: Protect GetDeriv(pos) for positions far 
+   outside the nucleus causing an FP overflow in exp.
+
+09 December 2009 Gunter Folger     hadr-mod-util-V09-02-05
+--------------------------------------------------------
+- G4WilsonRadius.cc change provided by M.Mendenhall via P.Truscott:
+   Data vector r[] made static const
+   
 19 November 2009 Gunter Folger     hadr-mod-util-V09-02-04
+--------------------------------------------------------
 -  Restore methods storing/retrieving G4SplitableHadron*, 
    now in use in FTF
Index: trunk/source/processes/hadronic/models/util/include/G4NuclearFermiDensity.hh
===================================================================
--- trunk/source/processes/hadronic/models/util/include/G4NuclearFermiDensity.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/util/include/G4NuclearFermiDensity.hh	(revision 1228)
@@ -56,5 +56,7 @@
     G4double GetDeriv(const G4ThreeVector & aPosition) const
     {
-      return -std::exp((aPosition.mag()-theR)/a) * sqr(GetDensity(aPosition)) / (a*Getrho0());
+      G4double currentR=aPosition.mag();
+      if (currentR > 40*theR  ) {return 0;}
+      else return -std::exp((currentR-theR)/a) * sqr(GetDensity(aPosition)) / (a*Getrho0());
     }   
    
Index: trunk/source/processes/hadronic/models/util/src/G4WilsonRadius.cc
===================================================================
--- trunk/source/processes/hadronic/models/util/src/G4WilsonRadius.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/util/src/G4WilsonRadius.cc	(revision 1228)
@@ -84,5 +84,8 @@
   else
   {
-    G4double r[27] = {0.0, 0.85,  2.095, 1.976, 1.671, 1.986,
+	// this was changed from just G4double to static const G4double
+	// to make sure that time wasn't being wasted on every call reloading a stack variable
+	// by MHM 20050119
+    static const G4double r[27] = {0.0, 0.85,  2.095, 1.976, 1.671, 1.986,
                            2.57,  2.41,  2.23,  2.519, 2.45,
                            2.42,  2.471, 2.440, 2.58,  2.611,
Index: trunk/source/processes/hadronic/processes/include/G4ElectronNuclearProcess.hh
===================================================================
--- trunk/source/processes/hadronic/processes/include/G4ElectronNuclearProcess.hh	(revision 1227)
+++ trunk/source/processes/hadronic/processes/include/G4ElectronNuclearProcess.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ElectronNuclearProcess.hh,v 1.6 2009/03/31 19:16:38 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Class Description:
Index: trunk/source/processes/hadronic/processes/include/G4PhotoNuclearProcess.hh
===================================================================
--- trunk/source/processes/hadronic/processes/include/G4PhotoNuclearProcess.hh	(revision 1227)
+++ trunk/source/processes/hadronic/processes/include/G4PhotoNuclearProcess.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4PhotoNuclearProcess.hh,v 1.9 2009/03/31 19:16:38 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Class Description
Index: trunk/source/processes/hadronic/processes/src/G4ElectronNuclearProcess.cc
===================================================================
--- trunk/source/processes/hadronic/processes/src/G4ElectronNuclearProcess.cc	(revision 1227)
+++ trunk/source/processes/hadronic/processes/src/G4ElectronNuclearProcess.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ElectronNuclearProcess.cc,v 1.3 2009/03/31 19:16:38 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/processes/hadronic/processes/src/G4PhotoNuclearProcess.cc
===================================================================
--- trunk/source/processes/hadronic/processes/src/G4PhotoNuclearProcess.cc	(revision 1227)
+++ trunk/source/processes/hadronic/processes/src/G4PhotoNuclearProcess.cc	(revision 1228)
@@ -27,5 +27,5 @@
 //
 // $Id: G4PhotoNuclearProcess.cc,v 1.3 2009/03/31 19:16:38 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/processes/hadronic/processes/src/G4PositronNuclearProcess.cc
===================================================================
--- trunk/source/processes/hadronic/processes/src/G4PositronNuclearProcess.cc	(revision 1227)
+++ trunk/source/processes/hadronic/processes/src/G4PositronNuclearProcess.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PositronNuclearProcess.cc,v 1.1 2009/03/31 19:16:38 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/processes/hadronic/stopping/include/G4MuMinusCaptureCascade.hh
===================================================================
--- trunk/source/processes/hadronic/stopping/include/G4MuMinusCaptureCascade.hh	(revision 1227)
+++ trunk/source/processes/hadronic/stopping/include/G4MuMinusCaptureCascade.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4MuMinusCaptureCascade.hh,v 1.10 2007/07/05 18:19:14 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //   G4MuMinusCaptureCascade physics process --------
Index: trunk/source/processes/hadronic/stopping/include/G4MuonMinusCaptureAtRest.hh
===================================================================
--- trunk/source/processes/hadronic/stopping/include/G4MuonMinusCaptureAtRest.hh	(revision 1227)
+++ trunk/source/processes/hadronic/stopping/include/G4MuonMinusCaptureAtRest.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4MuonMinusCaptureAtRest.hh,v 1.23 2008/10/02 20:57:52 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //  G4MuonMinusCaptureAtRest physics process
Index: trunk/source/processes/hadronic/stopping/include/G4StopElementSelector.hh
===================================================================
--- trunk/source/processes/hadronic/stopping/include/G4StopElementSelector.hh	(revision 1227)
+++ trunk/source/processes/hadronic/stopping/include/G4StopElementSelector.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4StopElementSelector.hh,v 1.10 2007/07/05 18:19:14 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Author:        V.Ivanchenko (Vladimir.Ivantchenko@cern.ch)
Index: trunk/source/processes/hadronic/stopping/src/G4MuMinusCaptureCascade.cc
===================================================================
--- trunk/source/processes/hadronic/stopping/src/G4MuMinusCaptureCascade.cc	(revision 1227)
+++ trunk/source/processes/hadronic/stopping/src/G4MuMinusCaptureCascade.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4MuMinusCaptureCascade.cc,v 1.16 2008/05/05 09:09:06 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //   G4MuonMinusCaptureAtRest physics process
Index: trunk/source/processes/hadronic/stopping/src/G4MuonMinusCaptureAtRest.cc
===================================================================
--- trunk/source/processes/hadronic/stopping/src/G4MuonMinusCaptureAtRest.cc	(revision 1227)
+++ trunk/source/processes/hadronic/stopping/src/G4MuonMinusCaptureAtRest.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4MuonMinusCaptureAtRest.cc,v 1.54 2009/01/24 11:55:38 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //   G4MuonMinusCaptureAtRest physics process
Index: trunk/source/processes/hadronic/stopping/src/G4StopElementSelector.cc
===================================================================
--- trunk/source/processes/hadronic/stopping/src/G4StopElementSelector.cc	(revision 1227)
+++ trunk/source/processes/hadronic/stopping/src/G4StopElementSelector.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4StopElementSelector.cc,v 1.16 2007/10/02 18:27:43 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // File: G4StopElementSelector
Index: trunk/source/processes/management/include/G4IVContinuousDiscreteProcess.hh
===================================================================
--- trunk/source/processes/management/include/G4IVContinuousDiscreteProcess.hh	(revision 1227)
+++ trunk/source/processes/management/include/G4IVContinuousDiscreteProcess.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4IVContinuousDiscreteProcess.hh,v 1.8 2006/06/29 21:07:14 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // $Id: 
Index: trunk/source/processes/management/include/G4IVRestDiscreteProcess.hh
===================================================================
--- trunk/source/processes/management/include/G4IVRestDiscreteProcess.hh	(revision 1227)
+++ trunk/source/processes/management/include/G4IVRestDiscreteProcess.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4IVRestDiscreteProcess.hh,v 1.8 2006/06/29 21:07:16 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // $Id: 
Index: trunk/source/processes/management/include/G4ParticleTypes.hh
===================================================================
--- trunk/source/processes/management/include/G4ParticleTypes.hh	(revision 1227)
+++ trunk/source/processes/management/include/G4ParticleTypes.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ParticleTypes.hh,v 1.6 2006/06/29 21:07:18 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // 
Index: trunk/source/processes/management/include/G4ProcTblElement.hh
===================================================================
--- trunk/source/processes/management/include/G4ProcTblElement.hh	(revision 1227)
+++ trunk/source/processes/management/include/G4ProcTblElement.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ProcTblElement.hh,v 1.11 2006/06/29 21:07:20 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // 
Index: trunk/source/processes/management/include/G4ProcTblElement.icc
===================================================================
--- trunk/source/processes/management/include/G4ProcTblElement.icc	(revision 1227)
+++ trunk/source/processes/management/include/G4ProcTblElement.icc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ProcTblElement.icc,v 1.8 2006/06/29 21:07:22 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // 
Index: trunk/source/processes/management/include/G4ProcessAttribute.hh
===================================================================
--- trunk/source/processes/management/include/G4ProcessAttribute.hh	(revision 1227)
+++ trunk/source/processes/management/include/G4ProcessAttribute.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ProcessAttribute.hh,v 1.5 2006/06/29 21:07:24 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // 
Index: trunk/source/processes/management/include/G4ProcessManager.hh
===================================================================
--- trunk/source/processes/management/include/G4ProcessManager.hh	(revision 1227)
+++ trunk/source/processes/management/include/G4ProcessManager.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ProcessManager.hh,v 1.16 2007/10/02 08:23:20 kurasige Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // 
Index: trunk/source/processes/management/include/G4ProcessManager.icc
===================================================================
--- trunk/source/processes/management/include/G4ProcessManager.icc	(revision 1227)
+++ trunk/source/processes/management/include/G4ProcessManager.icc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ProcessManager.icc,v 1.6 2007/03/30 01:02:28 kurasige Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // 
Index: trunk/source/processes/management/include/G4ProcessManagerMessenger.hh
===================================================================
--- trunk/source/processes/management/include/G4ProcessManagerMessenger.hh	(revision 1227)
+++ trunk/source/processes/management/include/G4ProcessManagerMessenger.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ProcessManagerMessenger.hh,v 1.7 2006/06/29 21:07:30 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/management/include/G4ProcessTable.hh
===================================================================
--- trunk/source/processes/management/include/G4ProcessTable.hh	(revision 1227)
+++ trunk/source/processes/management/include/G4ProcessTable.hh	(revision 1228)
@@ -27,5 +27,5 @@
 //
 // $Id: G4ProcessTable.hh,v 1.10 2006/06/29 21:07:32 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // 
